import type { CSSProperties } from 'vue'
import type { ColProps } from 'element-plus'

export interface CheckCardItem extends Record<keyof any, any> {
  // key
  key?: string | number | symbol
  /**  */
  // 值
  value?: string | number | boolean
  // 是否禁用
  disabled?: boolean
  // 是否显示边框
  bordered?: boolean
  // 自定义类名
  class?: string
  // 自定义样式
  style?: CSSProperties
  // 栅格属性
  col?: Partial<ColProps>
}
